Delete the authenticated account
DELETE
/users/me
const url = 'https://api.muninx.com/users/me';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.muninx.com/users/me \ --header 'Authorization: Bearer <token>'Permanently removes the authenticated user’s account-owned data, including all tenant memberships and personal API tokens. Shared tenant history such as tickets and messages remains.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Account deleted or already absent.
RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}